
/* Styles globaux */
body {
    background-color: rgb(255,250,230); /*couleur chaude */
    font-family: 'Open Sans', sans-serif; /*police d'écriture agréable*/
    font-size: 16px;
    line-height: 1.6;
}

#logo {
    display: flex;
    justify-content: center; /* aligne horizontalement l'élément au centre */
    align-items: center; /* aligne verticalement l'élément au centre */
}

#logo img {
    width: auto; /* Ajuste automatiquement la largeur de l'image */
    height: auto; /* Ajuste automatiquement la hauteur de l'image */
    max-width: 100%; /* Limite la largeur de l'image à 100% de la largeur de la zone parente */
    margin: auto; /* Centre horizontalement et verticalement l'élément */
}

header {
    /*background-color: rgb(91,46,34); /*couleur foncée pour un meilleur contraste */
}

/* Style pour la barre de navigation */
nav {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
    display: flex;
    justify-content: space-around;
    padding: 1em 0;
}

/* Style pour les liens dans la barre de navigation */
nav a {
    background-color: inherit;
    border: none;
    text-decoration: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 17px;
    color: rgb(91,46,34);
}

/* Change la couleur d'arrière-plan des liens au survol */
nav a:hover {
    background-color: #ddd;
}

/* Crée une classe pour le lien actif/actuel */
nav a.active {
    background-color: #ccc;
}

@media (min-width: 768px) {
    #logo img {
      width: 250px;
      height: 250px; 
      align-items: center;
      align-content: center;
    }



@media (min-width: 768px) {
    #logo img {
      width: 250px;
      height: 250px; 
      align-items: center;
      align-content: center;
    }

header h1 {
    text-align: center;
    font-size: 32px;
    font-weight: bold;
    color: rgb(91,46,34); /* couleur foncée pour un meilleur contraste */
    margin: 50px 0;
}


a {
    color: rgb(91,46,34); /* Définit la couleur des liens */
    text-decoration:underline; /* Retire la surbrillance des liens */
}

#Icons8 {
    color: rgb(205,143,78); /* Définit la couleur des liens */
    text-decoration: none; /* Retire la surbrillance des liens */
}

a:hover {
    color: rgb(205,143,78); /* Définit la couleur des liens lorsque la souris est sur le lien */
    text-decoration: underline; /* Ajoute une soulignement des liens lorsque la souris est sur le lien */
}

a:active {
    color: rgb(244,245,234); /* Définit la couleur des liens lorsque le lien est cliqué */
}


/* Styles pour le contenu */
#regles-et-objectifs {
    background-color: rgb(245,245,220); /*couleur plus claire pour un contraste */
    padding: 20px;
    border-radius: 5px;
    box-shadow: 2px 2px 5px rgba(0,0,0,0.1); /*ombre pour donner de la profondeur */
}

#regles-et-objectifs h2 {
    margin-top: 0;
    color: rgb(91,46,34); /*couleur foncée pour un contraste */
    font-size: 25px;
    font-weight: bold;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.1); /* ombre pour le texte pour donner de la profondeur */
}

#regles-et-objectifs p {
    margin-bottom: 10px;
}

#regles-et-objectifs ul {
    margin: 0;
    padding: 0;
    list-style: none;
}


#chanson ul {
    list-style: none;
    list-style-type: none;
    margin-bottom: 20px;
  }

  
  li {
    list-style-type: disc;
    color: black;
    margin: 5px;
  }



#regles-et-objectifs li {
    margin-bottom: 10px;
    line-height: 1.6;
    color: rgb(91,46,34); /*couleur foncée pour un contraste */
}

/* Couleur pour les boutons */
button {
    background-color: rgb(91,46,34); /* couleur foncée pour un meilleur contraste */
    color: #fff; /* couleur de police en blanc pour un meilleur contraste */
    border: none; /* enlever les bordures pour un meilleur contraste */
    padding: 10px;
}

footer {
    background-color: rgb(91,46,34); /* Couleur de fond du pied de page */
    color: rgb(244,245,234); /* Couleur du texte du pied de page */
    padding: 1em;
}
#social-links {
    display: flex;
    justify-content: center;
    align-items:center;
}
#social-links a {
    margin: 0 0.5em;
}
}
